package com.kingdee.eas.custom.facade.houtsrepot;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.facade.houtsrepot.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class WorkhoursFacade extends AbstractBizCtrl implements IWorkhoursFacade
{
    public WorkhoursFacade()
    {
        super();
        registerInterface(IWorkhoursFacade.class, this);
    }
    public WorkhoursFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkhoursFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B15CA9BB");
    }
    private WorkhoursFacadeController getController() throws BOSException
    {
        return (WorkhoursFacadeController)getBizController();
    }
    /**
     *¹¤Ê±Ìá±¨-User defined method
     */
    public void _workHour() throws BOSException
    {
        try {
            getController()._workHour(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}